---
sidebar_position: 4
description: Get field (numeric) and other functions to work with Airtable in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Airtable]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get field (numeric)
 Gets the description of a numeric field



`Function GetNumberField(Val Name, Val Precision = 0) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Name | --title | String | &#x2714; | New field name |
  | Precision | --precision | Number, String | &#x2716; | Number of decimal places |

  
  Returns:  Structure - Field description



```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_Airtable.GetNumberField("Number");
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint airtable GetNumberField \
             --title "841da7b6-ff43-48a7-9eb8-9b615690fea9"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint airtable GetNumberField ^
             --title "841da7b6-ff43-48a7-9eb8-9b615690fea9"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "name": "Number",
 "type": "number",
 "options": {
  "precision": 0
 }
}
```
